oracle.xml.parser.v2

## Class XSLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - oracle.xml.util.XMLException
      - - oracle.xml.parser.v2.XSLException

All Implemented Interfaces:
  java.io.Serializable

    public class XSLException
    extends XMLException

Indicates that an exception occurred during XSL tranformation

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class oracle.xml.util.XMLException

`ERROR, FATAL_ERROR, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`XSLException(java.lang.String mesg)` Constructs a XSLException with the given message

### Method Summary

### Methods inherited from class oracle.xml.util.XMLException

`formatErrorMessage, getCause, getColumnNumber, getException, getLineNumber, getMessage, getMessageType, getNumMessages, getPublicId, getSystemId, getXMLError, initCause, printStackTrace, printStackTrace, printStackTrace, setException, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XSLException

    public XSLException(java.lang.String mesg)

Constructs a XSLException with the given message

Parameters:
  `mesg` - - error message

Copyright © 2003, 2020, Oracle and/or its affiliates.